Page MenuHomePhabricator

Add x_analytics map to refined tables {hawk}
Closed, ResolvedPublic

Description

Add a column in the refined tables with a map of the x-analytics header.
What way, you can write a hive query with something like x-annalytics['zero'] = 1, in stead of using a UDF to parse the field.

Event Timeline

Ottomata created this task.Feb 12 2015, 9:35 PM
Ottomata raised the priority of this task from to Needs Triage.
Ottomata updated the task description. (Show Details)
Ottomata added subscribers: Ottomata, Aklapper.
Ottomata set Security to None.Feb 12 2015, 9:44 PM
Ottomata added a subscriber: JAllemandou.

Do we really want to provide dedicated fields (schema modification, data redundancy), or do we want provide an easy to use UDF ?

Ottomata triaged this task as Low priority.Feb 18 2015, 7:52 PM

Hm, you know...I think maybe instead of refining these fields, we should just refine the x_analytics field into a map instead of a string. That way we don't have to special case for certain fields, and we can still select on them without having to resort to a special UDF or regex.

Ottomata renamed this task from Refine page_id, page_name, and namespace using x_analytics fields and page tables to Refine webrequest x_analytics field into a map in the refined table..Mar 10 2015, 2:21 PM
Ottomata updated the task description. (Show Details)
kevinator renamed this task from Refine webrequest x_analytics field into a map in the refined table. to Add x_analytics map to refined tables.Mar 19 2015, 6:37 PM
kevinator raised the priority of this task from Low to Normal.
kevinator updated the task description. (Show Details)
JAllemandou closed this task as Resolved.Mar 30 2015, 8:43 PM
JAllemandou moved this task from In Progress to In Code Review on the Analytics-Kanban board.
kevinator renamed this task from Add x_analytics map to refined tables to Add x_analytics map to refined tables {hawk}.Mar 31 2015, 4:34 AM